: Class GraphicsConfigTemplate3D

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.j3d
Class GraphicsConfigTemplate3D

    java.lang.Object
      |
      +--java.awt.GraphicsConfigTemplate
            |
            +--javax.media.j3d.GraphicsConfigTemplate3D

public class GraphicsConfigTemplate3D
extends java.awt.GraphicsConfigTemplate

This class is used to obtain a valid GraphicsConfiguration that can be used by Java 3D. A user instantiates one of these objects and then sets all non-default attributes as desired. The getGraphicsConfiguration method found in the GraphicsDevice class is then called with this GraphicsConfigTemplate. A valid GraphicsConfiguration is returned that meets or exceeds what was requested in the GraphicsConfigTemplate.

See Also:
  `GraphicsConfigTemplate`, `GraphicsDevice`, `GraphicsConfiguration`, Serialized Form

Fields inherited from class java.awt.GraphicsConfigTemplate
`PREFERRED, REQUIRED, UNNECESSARY`

Constructor Summary
`GraphicsConfigTemplate3D()` Constructs a GraphicsConfigTemplate3D object with default parameters.

Method Summary
`java.awt.GraphicsConfiguration` | `getBestConfiguration(java.awt.GraphicsConfiguration[] gc)` Returns the "best" configuration possible that passes the criteria defined in the GraphicsConfigTemplate3D.
`int` | `getBlueSize()` Retrieves the number of blue bits requested by this templlate.
`int` | `getDepthSize()` Retrieves the size of the depth buffer.
`int` | `getDoubleBuffer()` Retrieves the double buffering value.
`int` | `getGreenSize()` Retrieves the number of green bits requested by this templlate.
`int` | `getRedSize()` Retrieves the number of red bits requested by this templlate.
`int` | `getSceneAntialiasing()` Retrieves the scene antialiasing value.
`int` | `getStereo()` Retrieves the stereo value.
`boolean` | `isGraphicsConfigSupported(java.awt.GraphicsConfiguration gc)` Returns a boolean indicating whether or not the given GraphicsConfiguration can be used to create a drawing surface that can be rendered to.
`void` | `setBlueSize(int value)` Sets the number or blue bits required.
`void` | `setDepthSize(int value)` Sets the depth buffer size requirement.
`void` | `setDoubleBuffer(int value)` Sets the double buffering requirement.
`void` | `setGreenSize(int value)` Sets the number or green bits required.
`void` | `setRedSize(int value)` Sets the number or red bits required.
`void` | `setSceneAntialiasing(int value)` Sets the scene antialiasing requirement.
`void` | `setStereo(int value)` Sets the stereo requirement.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphicsConfigTemplate3D

    public GraphicsConfigTemplate3D()

  Constructs a GraphicsConfigTemplate3D object with default parameters. The default values are as follows:
  depthSize : 16
  doubleBuffer : REQUIRED
  sceneAntialiasing : UNNECESSARY
  stereo : UNNECESSARY
  redSize : 2
  greenSize : 2
  blueSize : 2

Method Detail

### setDoubleBuffer

    public void setDoubleBuffer(int value)

  Sets the double buffering requirement. If an invalid value is passed in, it is ignored.
  Parameters:
    `value` - the value to set this field to.
  See Also:
    `GraphicsConfigTemplate.REQUIRED`, `GraphicsConfigTemplate.PREFERRED`, `GraphicsConfigTemplate.UNNECESSARY`

### getDoubleBuffer

    public int getDoubleBuffer()

  Retrieves the double buffering value.
  Returns:
    the current value of the doubleBuffer attribute.
  See Also:
    `GraphicsConfigTemplate.REQUIRED`, `GraphicsConfigTemplate.PREFERRED`, `GraphicsConfigTemplate.UNNECESSARY`

### setStereo

    public void setStereo(int value)

  Sets the stereo requirement. If an invalid value is passed in, it is ignored.
  Parameters:
    `value` - the value to set this field to.
  See Also:
    `GraphicsConfigTemplate.REQUIRED`, `GraphicsConfigTemplate.PREFERRED`, `GraphicsConfigTemplate.UNNECESSARY`

### getStereo

    public int getStereo()

  Retrieves the stereo value.
  Returns:
    the current value of the stereo attribute.
  See Also:
    `GraphicsConfigTemplate.REQUIRED`, `GraphicsConfigTemplate.PREFERRED`, `GraphicsConfigTemplate.UNNECESSARY`

### setSceneAntialiasing

    public void setSceneAntialiasing(int value)

  Sets the scene antialiasing requirement. If an invalid value is passed in, it is ignored.
  Parameters:
    `value` - the value to set this field to.
  See Also:
    `GraphicsConfigTemplate.REQUIRED`, `GraphicsConfigTemplate.PREFERRED`, `GraphicsConfigTemplate.UNNECESSARY`

### getSceneAntialiasing

    public int getSceneAntialiasing()

  Retrieves the scene antialiasing value.
  Returns:
    the current value of the scene antialiasing attribute.
  See Also:
    `GraphicsConfigTemplate.REQUIRED`, `GraphicsConfigTemplate.PREFERRED`, `GraphicsConfigTemplate.UNNECESSARY`

### setDepthSize

    public void setDepthSize(int value)

  Sets the depth buffer size requirement. If an invalid value is passed in, it is ignored.
  Parameters:
    `value` - the value to set this field to.

### getDepthSize

    public int getDepthSize()

  Retrieves the size of the depth buffer.
  Returns:
    the current value of the depthSize attribute.

### setRedSize

    public void setRedSize(int value)

  Sets the number or red bits required. If an invalid value is passed in, it is ignored.
  Parameters:
    `value` - the value to set this field to.

### getRedSize

    public int getRedSize()

  Retrieves the number of red bits requested by this templlate.
  Returns:
    the current value of the redSize attribute.

### setGreenSize

    public void setGreenSize(int value)

  Sets the number or green bits required. If an invalid value is passed in, it is ignored.
  Parameters:
    `value` - the value to set this field to.

### getGreenSize

    public int getGreenSize()

  Retrieves the number of green bits requested by this templlate.
  Returns:
    the current value of the greenSize attribute.

### setBlueSize

    public void setBlueSize(int value)

  Sets the number or blue bits required. If an invalid value is passed in, it is ignored.
  Parameters:
    `value` - the value to set this field to.

### getBlueSize

    public int getBlueSize()

  Retrieves the number of blue bits requested by this templlate.
  Returns:
    the current value of the blueSize attribute.

### getBestConfiguration

    public java.awt.GraphicsConfiguration getBestConfiguration(java.awt.GraphicsConfiguration[] gc)

  Returns the "best" configuration possible that passes the criteria defined in the GraphicsConfigTemplate3D.
  Overrides:
    getBestConfiguration in class java.awt.GraphicsConfigTemplate
  Parameters:
    `gc` - the array of GraphicsConfigurations to choose from.
  See Also:
    `GraphicsDevice`

### isGraphicsConfigSupported

    public boolean isGraphicsConfigSupported(java.awt.GraphicsConfiguration gc)

  Returns a boolean indicating whether or not the given GraphicsConfiguration can be used to create a drawing surface that can be rendered to.
  Overrides:
    isGraphicsConfigSupported in class java.awt.GraphicsConfigTemplate
  Parameters:
    `gc` - the GraphicsConfiguration object to test.
  Returns:
    `true` if this GraphicsConfiguration object can be used to create surfaces that can be rendered to, `false` if the GraphicsConfiguration can not be used to create a drawing surface usable by this API.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD